/*
 * Ukazkovy soubor struktury programu v C
 */

#include <stdio.h>   /* pripojení knihovny funkci - hlavickovy soubor*/
#include <stdlib.h>  // pripojení knihovny funkci
#include "moje_knihovna.h" /* pripojeni vlastniho hlavickoveho souboru*/


#define PI 3.1415            //definice makra
#define DVE_PI   (2*PI)      //definice makra


double pikrat(double x);    /* uplny funkcni prototyp - deklarace funkce*/


int i;   /* globalni promenna pro funkci main() */

int main(int argc, char *argv[]) /* hlavní funkce programu*/
{                                /* zacatek programu*/
    
    double r;                // lokalni promenna pro funkci main ()
        
    printf("\nZadej polomer :  ");  /* pouziti funkce*/
    scanf("%lf",&r);
    printf("Obvod kruhu je %f \n", 2* pikrat(r));
    
    { // zacatek bloku
      int j;     // promenna definovana uvnitr bloku
      j = 666;   
      printf("Cislo j je %d ", j);
      } // konec bloku
    
    getch();	
    return 0;               /* navratova hodnota funkce */
}                          /* konec programu */    


//----------------------------------------------------------------
double pikrat(double x)    /* definice funkce*/
{
       return (x * PI);
}       
